{% extends 'base.html.twig' %}

{% block body %}
    
    <section id="tables">
        <hgroup>
        <h1>Vos serveurs</h1>
        <h2>Retrouvez l'ensemble de vos serveurs ainsi que leur configuration</h2>
      </hgroup>
      {% if success %}<article>{{success}}</article> {% endif %}
        <figure>
          <table role="grid">
            <thead>
              <tr>
                <th scope="col">Name</th>
                <th scope="col">Hostname</th>
                <th scope="col">Ip Adress</th>
                <th scope="col">Actions</th>
              </tr>
            </thead>
            <tbody>
             {% for server in servers %}
              <tr>
                <th scope="row">{{ server.getName() }}</th>
                <td>{{ server.getHost_name() }}</td>
                <td>{{ server.getIp_address() }}</td>
                <td class="action__container">
                  <a href="/servers/{{server.getId()}}"><button>Voir</button></a>
                  <a href="/servers/update/{{server.getId()}}"><button>Modifier</button></a>
                  <form action="/servers/{{server.getId()}}" method="post">
                    <input type="hidden" name="_METHOD" value="DELETE"/>
                    <button class="contrast outline reset" type="submit">Supprimer</button>
                  <form>
                </td>
              </tr>
              {% endfor %}
            </tbody>
          </table>
        </figure>
      </section>
     
{% endblock %}
